View Issue Details

IDProjectCategoryView StatusLast Update
0003691unrealircdpublic2016-05-22 16:10
ReporteraleksanteriAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformi386OSLinux Debian testingOS Version2.6.22
Product Version3.2.7 
Target VersionFixed in Version4.0.4 
Summary0003691: Error code 502 never given
DescriptionWhen an user tries to set an usermode for another user than themselves, Unreal does nothing, as it should give the 502 error code, as specified in the IRC RFC.
Steps To Reproduce/mode $otheruser [$any_modestring]
Additional Information502 as specified in the IRC RFC (http://www.irchelp.org/irchelp/rfc/chapter6.html)

502 ERR_USERSDONTMATCH
 ":Cant change mode for other users"
 - Error sent to any user trying to view or change the user mode for a user other than themselves.
TagsNo tags attached.
3rd party modulesNone

Relationships

related to 0004556 resolvedsyzop no error sent on /SAMODE nick (setting user modes) 

Activities

2009-08-13 17:30

 

m_mode.c.patch (425 bytes)

morpheus_pl

2009-08-13 17:32

reporter   ~0015917

I've attached a patch (for 3.2.8.1). I think you can now close this topic.

syzop

2015-08-08 16:35

administrator   ~0018612

I wonder who would do this, but yeah :D *acknowledge*

syzop

2016-05-22 16:10

administrator   ~0019268

Fixed, thanks :)

https://github.com/unrealircd/unrealircd/commit/e6d2fab103d6bd148ebcae921d7c252fcb60385f

Issue History

Date Modified Username Field Change
2008-05-05 20:17 aleksanteri New Issue
2008-05-05 20:17 aleksanteri 3rd party modules => None
2009-08-13 17:30 morpheus_pl File Added: m_mode.c.patch
2009-08-13 17:32 morpheus_pl Note Added: 0015917
2015-08-08 16:35 syzop Note Added: 0018612
2015-08-08 16:35 syzop Assigned To => syzop
2015-08-08 16:35 syzop Status new => acknowledged
2016-04-03 11:31 syzop Relationship added related to 0004556
2016-05-22 16:10 syzop Note Added: 0019268
2016-05-22 16:10 syzop Status acknowledged => resolved
2016-05-22 16:10 syzop Fixed in Version => 4.0.4
2016-05-22 16:10 syzop Resolution open => fixed